spring:
  profiles:
    active: dev
secure:
  ignore:
    commonUrls: #不需要验证登录状态的url（不包含登录接口）
      - "/v3/captcha/**"
      - "/swagger-resources/**"
      - "/doc.html"
      - "/v2/api-docs"
      - "/*/*/v2/api-docs"
      - "/*/*/v2/api-docs-ext"
      - "/webjars/**"
      - "/favicon.ico"
      - "/v3/oss/**"
      - "/v3/system/common/**"
      - "/v3/msg/front/commons/getCaptcha"
      - "/v3/captcha/common/getCaptcha"
      - "/v3/member/front/login/wechat/login"
      - "/v3/member/front/login/wechat/bindMobile"
      - "/v3/member/front/login/wechat/getOpenId"
      - "/v3/member/front/login/wechat/getMobile"
      - "/v3/member/front/qr/login/createQr"
      - "/v3/member/front/qr/login/progress"
      - "/v3/msg/front/commons/smsCode"
      - "/v3/member/front/login/wxjsConf"
      - "/v3/member/front/login/freeSecretLogin"
      - "/actuator/**"
      - "/v3/business/front/orderPayCallback/**"
      - "/v3/member/front/rechargeCallback/**"
      - "/v3/integral/front/integral/orderPayCallback/**"
      - "/v3/msg/seller/commons/smsCode"
      - "/v3/seller/seller/vendor/retrievePwd"
      - "/v3/seller/seller/vendor/register"
      - "/v3/seller/seller/registerPayCallback/**"
      - "/v3/seller/seller/renewPayCallback/**"
      - "/v3/seller/seller/openAccount/callback"
      - "/v3/seller/seller/openAccount/callbackSign"
      - "/v3/seller/seller/withdrawal/callback"
      - "/resources/**"
      - "/v3/statistics/front/**"
      - "/v3/goods/front/goods/searchWords/list"
      - "/v3/member/front/active/**"
      - "/v3/open/api/sso/login/**"
    #      - "/v3/seller/seller/enquiry/sendMsgStr"
    login-urls: #登录接口
      - "/v3/frontLogin/**"
      - "/v3/adminLogin/**"
      - "/v3/sellerLogin/**"
    front-without-login-urls: #商城端不需要登录就可以访问的url
      - "/v3/goods/front/goods/details"
      - "/v3/goods/front/goods/details2"
      - "/v3/goods/front/goods/goodsList"
      - "/v3/goods/front/goods/goodsBrandList"
      - "/v3/goods/front/goods/recommendList"
      - "/v3/goods/front/goods/share/sharePosters"
      - "/v3/goods/front/goods/category/topCategory"
      - "/v3/goods/front/goods/category/getSecondCategory"
      - "/v3/goods/front/goods/category/bottomCategory"
      - "/v3/goods/front/goods/category/listByPId"
      - "/v3/goods/front/goods/category/list"
      - "/v3/goods/front/goods/category/screenList"
      - "/v3/goods/front/goods/comment"
      - "/v3/goods/front/goods/productInfo"
      - "/v3/goods/front/goods/newGoods"
      - "/v3/goods/front/goods/activityList"
      - "/v3/goods/front/goods/calculateExpress"
      - "/v3/goods/front/goods/rankList"
      - "/v3/goods/front/goods/rank/list"
      - "/v3/goods/front/goods/rank/detail"
      - "/v3/goods/front/goods/rank/moreRankRecommend"
      - "/v3/goods/front/goods/rank/categoryList"
      - "/v3/seller/front/store/list"
      - "/v3/seller/front/store/detail"
      - "/v3/seller/front/store/storeCategory"
      - "/v3/seller/front/storeCategory/list"
      - "/v3/member/front/productLookLog/add"
      - "/v3/member/front/memberPassword/resetLoginPwd"
      - "/v3/system/front/deco/index"
      - "/v3/system/front/deco/special"
      - "/v3/system/front/deco/storeIndex"
      - "/v3/system/front/deco/information"
      - "/v3/system/front/setting/getSettings"
      - "/v3/system/front/pcDeco/index"
      - "/v3/system/front/pcDeco/sellerIndex"
      - "/v3/system/front/deco/firstAdv"
      - "/v3/system/front/navigation/list"
      - "/v3/system/front/agreement/detail"
      - "/v3/system/front/region/list"
      - "/v3/system/admin/search/esInit"
      - "/v3/frontLogin/oauth/register"
      - "/v3/promotion/front/coupon/storeCouponList"
      - "/v3/promotion/front/coupon/couponCenter"
      - "/v3/promotion/front/seckill/getSeckillLabel"
      - "/v3/promotion/front/seckill/getSeckillStage"
      - "/v3/promotion/front/seckill/goodsList"
      - "/v3/promotion/front/seckill/banner"
      - "/v3/promotion/front/seckill/detail"
      - "/v3/promotion/front/draw/detail"
      - "/v3/promotion/front/draw/integral"
      - "/v3/promotion/front/draw/winList"
      - "/v3/promotion/front/preSell/list"
      - "/v3/promotion/front/preSell/detail"
      - "/v3/promotion/front/spell/list"
      - "/v3/promotion/front/spell/detail"
      - "/v3/promotion/front/ladder/group/list"
      - "/v3/promotion/front/ladder/group/detail"
      - "/v3/cms/front/friendLink/list"
      - "/v3/cms/front/article/helpList"
      - "/v3/cms/front/article/articleList"
      - "/v3/cms/front/article/articleDetail"
      - "/v3/cms/front/information/list"
      - "/v3/cms/front/info/detail"
      - "/v3/cms/front/information/cateList"
      - "/v3/integral/front/integral/mall/list"
      - "/v3/integral/front/integral/mall/goodsList"
      - "/v3/integral/front/integral/mall/recommendList"
      - "/v3/integral/front/integral/mall/details"
      - "/v3/integral/front/integral/mall/productInfo"
      - "/v3/integral/front/integral/mall/labelList"
      - "/v3/integral/front/integral/goods/share/sharePosters"
      - "/v3/business/seller/faceSheet/generate"
      - "/v3/system/seller/setting/getStoreSetting"
      - "/v3/system/admin/setting/getPcMainImage"
      - "/v3/promotion/admin/Seckill/secKillJob"
      - "/v3/promotion/front/draw/drawRecordList"
      - "/v3/promotion/front/draw/detail"
      - "/v3/video/front/video/list"
      - "/v3/video/front/video/themeDetail"
      - "/v3/video/front/video/playingPage"
      - "/v3/video/front/video/labelList"
      - "/v3/video/front/video/videoList"
      - "/v3/video/front/video/search/userList"
      - "/v3/video/front/video/search/videoList"
      - "/v3/video/front/video/author/personPage"
      - "/v3/video/front/video/author/videoList"
      - "/v3/video/front/video/author/goodsList"
      - "/v3/video/front/video/comment/list"
      - "/v3/video/front/video/live/liveList"
      - "/v3/video/front/video/setting/getSettingList"
      - "/v3/member/front/enquiry/add"
      - "/v3/cms/doc/list"
      - "/v3/cms/doc/detail"
      - "/v3/goods/front/goods/new/list"
      - "/v3/member/front/enquiry/phoneCode"
      - "/v3/cms/front/sitemap/list"
